<?php

namespace App\Classes\Modules\Warehouses\Services;


use App\Classes\ValueObjects\Constants\OrderSteps;

class FetchWarehouseOrderCategorySteps
{

    public function execute(string $category): array {
        switch ($category){
            case OrderSteps::WAREHOUSE_RECEIVING_CATEGORY:
                return OrderSteps::WAREHOUSE_ORDER_RECEIVING;
            case OrderSteps::WAREHOUSE_SHIPPING_CATEGORY:
                return OrderSteps::WAREHOUSE_ORDER_SHIPPING;
            case OrderSteps::WAREHOUSE_COMPLETE_CATEGORY:
                return OrderSteps::WAREHOUSE_ORDER_COMPLETE;
            default:
                return [];
        }
    }

}